FEM Analyse

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page FEM Analysis and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский

Official icon not found {{{Name/de}}}

Menüeintrag
Modell → Analysecontainer‏‎
Arbeitsbereich
FEM
Standardtastenkürzel
N A
In der Version eingeführt
-
Siehe auch
FEM Tutorium


Beschreibung

Die FEM Analyse könnte als ein Behälter gesehen werden, der alle Objekte einer Finite Element Analyse aufnimmt. Es ist obligatorisch, einen Analysecontainer zu haben, der alle benötigten Objekte enthält. Mindestens eines der folgenden Objekte wird für eine mechanische Analyse benötigt:


Anwendung

  1. Drücke dieFEM Analysis.png Analysis container Schaltfläche oder drücke die N und dann A Tasten. Eine neue Analyse wird erstellt und auf aktiv gesetzt.
  2. Andere Objekte können dem Analysecontainer durch Ziehen und Ablegen hinzugefügt oder entfernt werden.
  3. Um dem Dokument neue FEM Objekte hinzuzufügen, muss die Analyse aktiv sein. Doppelklicke auf die Analyse, um die Analyse zu aktivieren.


Optionen

  • Bislang gibt es keine Option zur Auswahl.
  • Eine Häufigkeitsanalyse ist in Entwicklung. Siehe [1] für weitere Informationen.


Eigenschaften

  • DataOutpuDir: Gibt das Arbeitsverzeichnis der Analyse an


Skripten

der Großteil des Codes hier ist in 0.17 abgeschrieben.

  • neue Analyse
MechanicalAnalysis.makeMechanicalAnalysis( name )
  • Objekt zur Analyse hinzufügen
App.ActiveDocument.MechanicalAnalysis.Member = App.ActiveDocument.MechanicalAnalysis.Member + [ (object) ]
  • Objekt aus der Analyse entfernen
member = App.ActiveDocument.MechanicalAnalysis.Member
member.remove( documentobject )
 App.ActiveDocument.MechanicalAnalysis.Member = member

Beispiele:

import MechanicalAnalysis
analysis = MechanicalAnalysis.makeMechanicalAnalysis("MechanicalAnalysis")
FemGui.setActiveAnalysis(analysis)

addobj = App.ActiveDocument.getObject("MechanicalMaterial")
App.ActiveDocument.MechanicalAnalysis.Member = App.ActiveDocument.MechanicalAnalysis.Member + [addobj]

removeobj = App.ActiveDocument.getObject("MechanicalMaterial")
member = App.ActiveDocument.MechanicalAnalysis.Member
member.remove(removeobj)
App.ActiveDocument.MechanicalAnalysis.Member = member